#!/usr/bin/env python
	
# Authors: Xiaohong Zhuang, Dr.Jeffery B. Klauda
# Date: 9/12/2015

# Generate *-atmlbl.txt from *.rtf 

# Read lipid name
fob = open('lip_lower.txt','r')
lip = fob.readline()
lip = lip.strip()

# Print Head lines
print "label segid resid iupac ; unique labels for SIMtoEXP, lipid, (b)ioflavonoid, (w)ater"

# Read the group names based on cmp
filetoread = "%s.rtf" % lip
fob=open(filetoread,'r')
rtf=fob.readlines()
for line in rtf:
	if 'ATOM' in line or 'ATOm' in line: 
		atmn = line.strip().split()
		if atmn[2] == 'CH1E':
			 print "%s\tMEMB\t%s" % ("b"+atmn[1].lower(),atmn[1].lower())
		elif atmn[2] == 'CH2E':
			 print "%s\tMEMB\t%s" % ("m"+atmn[1].lower(),atmn[1].lower())
		elif atmn[2] == 'CH3E':
			 print "%s\tMEMB\t%s" % ("t"+atmn[1].lower(),atmn[1].lower())
		else:
			print "%s\tMEMB\t%s" % (atmn[1].lower(),atmn[1].lower())

# Add ion K+ for negative charged lipids
head = 'NA'; lip_type = 'NA';
if lip[-1]!='u' and len(lip)==4:
	 head = lip[2:];
elif lip[-1]=='u' and len(lip)==5:
	head = lip[2:4];
elif 'cl1' in lip or 'cl2' in lip:
	lip_type=='dl' 
if head=='pa' or head=='pg' or head=='pi' or head=='ps' or lip_type=='dl':
	print "k\tPOT\tpot"

# Add water group for single lipid
print "ow\tTIP3\toh2"
print "d1w\tTIP3\th1"
print "d2w\tTIP3\th2"
