#!/bin/csh
#SBATCH --ntasks=4
#SBATCH -N 1 
#SBATCH --job-name=dype_atom
#SBATCH -t 10:00:00
#SBATCH --constraint="[ib|qib]"

unset noclobber

# CHANGE TO SUBMISSION SUBDIR
cd $SLURM_SUBMIT_DIR
module load openmpi/1.6
module load fftw/3.3.3/gnu/4.6.1/openmpi/1.6/shared
setenv LD_LIBRARY_PATH $FFTWLIB
# XZ: Turn off the mpi warning as infiniband is being used with the OFED verbs driver.
setenv OMPI_MCA_mpi_warn_on_fork 0 
hostname

# CHARMM version
# In DT1
set chm = "/lustre/home/jbklauda/charmm/c39a2wxw/myc39a2/exec/gnu_M/gfortcol.om"
# In DT2
#set chm = "/lustre/xzhuang/software/charmm/c39a2/gnu_M/gfortcol.om"

# check for output dir
if ( ! -d atoms ) mkdir atoms

# master name and selection list
set alst = dype-atmlbl.txt                # Please update the lipid/file name based on your file

# name list; water only
#set nlst = ( `sed '1d' $alst | grep wat | awk '{print $1}'` )
set nlst = ( `sed '1d' $alst | awk '{print $1}'` )

sed '1d' $alst | awk '{print $1,$2,$3}' > alst_nh.txt   # Xiao: Add these two lines to delete the 1st row in atmlbl.txt
set alst_nh = alst_nh.txt                               # However, bld-sim.x is written for atmlbl.txt has a title line 

foreach nm ( $nlst ) 
  set atm = ( `grep $nm $alst_nh | awk '{print $2, $3}'` )
  $chm ID:$nm SEG:$atm[1] TYP:$atm[2] < getatomnd.inp >& atoms/get$nm.out
  gzip atoms/get$nm.out
end

rm -f alst_nh.txt

