#!/usr/bin/env python

# Authors:Xiaohong Zhuang, Dr.Jeffery B. Klauda
# Date:9/12/2015

# This script works for single-type of lipid bilayer
from Na_Ne import check_Na_Ne     # import the function check_Na_Ne from module Na_Ne

# Read the lipid name
filetoread = "lip_lower.txt"
fob=open(filetoread,'r')
lip=fob.readline()                           # readline read as str, readlines read as list of each line as element
lip=lip.strip()                              # To remove \n in the end
fob.close()

#############################################################################################################################

# Please update N_wat and SA_lip 
# N_wat: Number of water per lipid, usually it is 30.0, 40.0, or between(30.0,70.0)
# SA_tot : Averaged surface area per lipid calculated from simulation in Anstromg^2
               
N_wat  = 40.0   
SA_lip = 64.46   

##################################################################################################################################

# Call the check_Na_Ne functions
check_Na_Ne(lip,N_wat,SA_lip)  




